<template lang="pug">
  .nav-bg
    a(class='logo' href='#') КОСМОЛОТ
      //- img(src='static/logo.png', alt='КОСМОЛОТ')
    //- .container.mt-4.mb-4
      //- nav.navbar.navbar-expand-lg.navbar-light.bg-light
        router-link.navbar-brand(
        to='/'
        :class="{ disabled: toDisableMenu }"
        )
          | Gifts <div>store</div>

        #navbarNav
          ul.navbar-nav.d-flex.flex-row.justify-content-between
            router-link.nav-item(
            :class="{ disabled: toDisableMenu }"
            tag='li',
            to='/',
            exact,
            active-class='active'
            )
              a.nav-link
                | For men

            router-link.nav-item.ml-2(
            :class="{ disabled: toDisableMenu }"
            tag='li',
            to='/for-women',
            active-class='active'
            )
              a.nav-link
                | For women

            router-link.nav-item.ml-2(
            :class="{ disabled: toDisableMenu }"
            tag='li',
            to='/random',
            active-class='active'
            )
              a.nav-link
                | Random
</template>

<script>
export default {
  name: "Header",
  props: {
    toDisableMenu: {
      type: Boolean
    }
  }
};
</script>

<style lang="scss" scoped>
.logo {
  font-weight: 700;
  font-size: 40px;
  &:hover{
    color: white;
    text-decoration: none;
  }
}

.nav-bg {
  background: #150425;

  .navbar-light .navbar-nav .nav-link:hover,
  .navbar-light .navbar-nav .nav-link:focus {
    color: rgba(251, 0, 13, 0.81);
  }

  .navbar-light .navbar-nav .show > .nav-link,
  .navbar-light .navbar-nav .active > .nav-link,
  .navbar-light .navbar-nav .nav-link.show,
  .navbar-light .navbar-nav .nav-link.active {
    color: rgba(171, 0, 0, 0.9);
  }

  .navbar-light .navbar-brand:hover,
  .navbar-light .navbar-brand:focus {
    color: rgba(171, 0, 0, 0.9);
  }
}

.navbar-light .navbar-brand {
  font-size: 26px;
  color: rgb(184, 23, 23);
  font-weight: 600;
  line-height: 20px;
}

.disabled {
  pointer-events: none;
  cursor: default;
  color: #888;
}
</style>
